CS::RenderManager::StandardPortalSetup_Base Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Protected Member Functions
CS::RenderManager::StandardPortalSetup_Base Class Reference

Base class for StandardPortalSetup, containing types and members which are independent of the template arguments that can be provided to StandardPortalSetup. More...

`#include <csplugincommon/rendermanager/portalsetup.h>`

Inheritance diagram for CS::RenderManager::StandardPortalSetup_Base:

List of all members.

## Classes
struct | PersistentData
| Data used by the helper that needs to persist over multiple frames. More...
## Protected Member Functions
csPtr< iClipper2D > | CreateBoxClipper (const csBox2 &box)
| Create a box clipper for the given box.
void | FudgeTargetCamera (iCamera *inewcam, iCamera *cam, iPortal *portal, const csFlags &portalFlags, size_t count, const csVector2 *portalVerts2d, const csVector3 *portalVerts3d, int screenW, int screenH)
| Fudge transformation of a camera used for portal contents rendering to reduce cracks.
csPtr< csRenderBufferHolder > | GetPortalBuffers (size_t count, const csVector2 *portalVerts2d, const csVector3 *portalVerts3d, bool withTCs=false, int txt_h=0, int real_w=0, int real_h=0, int sb_minX=0, int sb_minY=0)
| Get render buffers for rendering portal as a mesh.
csRenderMesh * | SetupPortalRM (csRenderMesh *rm, iPortal *portal, iSector *sector, size_t count, RenderView *rview)
| Rendermesh setup for rendering portal as a mesh.
void | SetupProjectionShift (iCustomMatrixCamera *newCam, iCamera *inewcam, int sb_minX, int sb_minY, int txt_h, int real_w, int real_h, int screenW, int screenH)
| Shift projection for portal rendering to texture.

## Detailed Description

Base class for StandardPortalSetup, containing types and members which are independent of the template arguments that can be provided to StandardPortalSetup.

Definition at line 49 of file portalsetup.h.

## Member Function Documentation

csPtr<iClipper2D> CS::RenderManager::StandardPortalSetup_Base::CreateBoxClipper | ( | const csBox2 & | box | ) | `[protected]`

Create a box clipper for the given box.

void CS::RenderManager::StandardPortalSetup_Base::FudgeTargetCamera | ( | iCamera * | inewcam,
|  | iCamera * | cam,
|  | iPortal * | portal,
|  | const csFlags & | portalFlags,
|  | size_t | count,
|  | const csVector2 * | portalVerts2d,
|  | const csVector3 * | portalVerts3d,
|  | int | screenW,
|  | int | screenH
| ) |  | `[protected]`

Fudge transformation of a camera used for portal contents rendering to reduce cracks.

Used when portal is rendered to a texture.

csPtr<csRenderBufferHolder> CS::RenderManager::StandardPortalSetup_Base::GetPortalBuffers | ( | size_t | count,
|  | const csVector2 * | portalVerts2d,
|  | const csVector3 * | portalVerts3d,
|  | bool | withTCs = `false`,
|  | int | txt_h = `0`,
|  | int | real_w = `0`,
|  | int | real_h = `0`,
|  | int | sb_minX = `0`,
|  | int | sb_minY = `0`
| ) |  | `[protected]`

Get render buffers for rendering portal as a mesh.

csRenderMesh* CS::RenderManager::StandardPortalSetup_Base::SetupPortalRM | ( | csRenderMesh * | rm,
|  | iPortal * | portal,
|  | iSector * | sector,
|  | size_t | count,
|  | RenderView * | rview
| ) |  | `[protected]`

Rendermesh setup for rendering portal as a mesh.

void CS::RenderManager::StandardPortalSetup_Base::SetupProjectionShift | ( | iCustomMatrixCamera * | newCam,
|  | iCamera * | inewcam,
|  | int | sb_minX,
|  | int | sb_minY,
|  | int | txt_h,
|  | int | real_w,
|  | int | real_h,
|  | int | screenW,
|  | int | screenH
| ) |  | `[protected]`

Shift projection for portal rendering to texture.

The documentation for this class was generated from the following file:

- csplugincommon/rendermanager/portalsetup.h